%define fname		semantic
%define name		emacs-%{fname}
%define version		1.4.4
%define release		2mdk
%define eieiodir	%{_datadir}/emacs/site-lisp/eieio
%define speedbardir	%{_datadir}/emacs/site-lisp/speedbar
%define semanticdir	%{_datadir}/emacs/site-lisp/semantic

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Semantic Bovinator
Requires:	emacs >= 0:20.7
License:	GPL
URL:		http://www.sourceforge.net/projects/cedet/
Source:		http://download.sourceforge.net/sourceforge/cedet/%{fname}-%{version}.tar.bz2
Group:		Editors
Obsoletes:	semantic
Provides:	semantic = %epoch:%version-%release
Buildroot:	%_tmppath/%{name}-root
BuildArch:	noarch
Requires:	eieio speedbar
BuildRequires:	emacs-bin eieio speedbar

%description
The Semantic Bovinator is a lexer, parser-generator, and parser. It is
written in Emacs Lisp and is customized to the way Emacs thinks about
language files, and is optimized to use Emacs' parsing capabilities.

The Semantic Bovinator's goal is to provide an intermediate API for
authors of language agnostic tools who want to deal with languages in a
generic way. It also provides a simple way for Mode Authors who are
expert's in their language, to provide a parser for those tool authors,
without knowing anything about those tools.

%prep
%setup -q -n %{fname}-%{version}

%build
%make LOADPATH="%{eieiodir} %{speedbardir}"

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/%{fname}
%__mkdir_p %{buildroot}{%{semanticdir},%{_infodir}}

%__cp -a *.el *.elc %{buildroot}%{semanticdir}
%__cp -a *.info* %{buildroot}%{_infodir}

%clean
%__rm -rf %{buildroot}

%post
%_install_info %{fname}.info

%postun
%_remove_install_info %{fname}.info

%files
%defattr(0644,root,root,0755)
%doc ChangeLog INSTALL NEWS
%{semanticdir}
%{_infodir}/*info*

%changelog
* Fri Apr 01 2005 David Walluck <walluck@mandrake.org> 0:1.4.4-2mdk
- rebuild
- macros

* Sat Mar 27 2004 David Walluck <walluck@mandrake.org> 0:1.4.4-1mdk
- 1.4.4

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.4-2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.4-1mdk
- contributed by David Walluck <david@anti-microsoft.org>
